Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class ConsultRecursiveLegalTextType

    java.lang.Object
      be.fgov.ehealth.dics.core.v3.reimbursementlaw.submit.LegalTextKeyType
          be.fgov.ehealth.dics.protocol.v3.ConsultRecursiveLegalTextType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-05-30T09:02:49+02:00",
               comments="JAXB RI v2.2.11")
    public class ConsultRecursiveLegalTextType

extends LegalTextKeyType
implements Serializable

Java class for ConsultRecursiveLegalTextType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultRecursiveLegalTextType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v3:reimbursementlaw:submit}LegalTextKeyType">
           <sequence>
             <element name="Content" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultTextType"/>
             <element name="Type" type="{urn:be:fgov:ehealth:dics:core:v3:reimbursementlaw:submit}LegalTextTypeType"/>
             <element name="SequenceNr" type="{http://www.w3.org/2001/XMLSchema}integer"/>
             <element name="LastModifiedOn" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="LegalText" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultRecursiveLegalTextType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v3}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultRecursiveLegalTextType()`

Method Summary
`ConsultTextType` | `getContent()` Gets the value of the content property.
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`org.joda.time.DateTime` | `getLastModifiedOn()` Gets the value of the lastModifiedOn property.
`List<ConsultRecursiveLegalTextType>` | `getLegalTexts()` Gets the value of the legalTexts property.
`BigInteger` | `getSequenceNr()` Gets the value of the sequenceNr property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`String` | `getType()` Gets the value of the type property.
`void` | `setContent(ConsultTextType value)` Sets the value of the content property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setLastModifiedOn(org.joda.time.DateTime value)` Sets the value of the lastModifiedOn property.
`void` | `setSequenceNr(BigInteger value)` Sets the value of the sequenceNr property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setType(String value)` Sets the value of the type property.

Methods inherited from class be.fgov.ehealth.dics.core.v3.reimbursementlaw.submit.LegalTextKeyType
`getKey, setKey`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultRecursiveLegalTextType

    public ConsultRecursiveLegalTextType()

Method Detail

### getContent

    public ConsultTextType getContent()

  Gets the value of the content property.

  Returns:
    possible object is `ConsultTextType`

### setContent

    public void setContent(ConsultTextType value)

  Sets the value of the content property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getType

    public String getType()

  Gets the value of the type property.

  Returns:
    possible object is `String`

### setType

    public void setType(String value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `String`

### getSequenceNr

    public BigInteger getSequenceNr()

  Gets the value of the sequenceNr property.

  Returns:
    possible object is `BigInteger`

### setSequenceNr

    public void setSequenceNr(BigInteger value)

  Sets the value of the sequenceNr property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getLastModifiedOn

    public org.joda.time.DateTime getLastModifiedOn()

  Gets the value of the lastModifiedOn property.

  Returns:
    possible object is `String`

### setLastModifiedOn

    public void setLastModifiedOn(org.joda.time.DateTime value)

  Sets the value of the lastModifiedOn property.

  Parameters:
    `value` - allowed object is `String`

### getLegalTexts

    public List<ConsultRecursiveLegalTextType> getLegalTexts()

  Gets the value of the legalTexts property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the legalTexts property.

  For example, to add a new item, do as follows:

          getLegalTexts().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultRecursiveLegalTextType`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.